diff mbox series

doc: support IPsec Multi-buffer lib v1.0

Message ID 20210505155842.2457657-1-pablo.de.lara.guarch@intel.com (mailing list archive)
State Accepted, archived
Delegated to: akhil goyal
Headers show
Series doc: support IPsec Multi-buffer lib v1.0 | expand

Checks

Context Check Description
ci/intel-Testing success Testing PASS
ci/Intel-compilation success Compilation OK
ci/github-robot success github build: passed
ci/checkpatch success coding style OK

Commit Message

De Lara Guarch, Pablo May 5, 2021, 3:58 p.m. UTC
Updated AESNI MB and AESNI GCM, KASUMI, ZUC and SNOW3G PMD documentation
guides with information about the latest Intel IPSec Multi-buffer
library supported.

Signed-off-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>
---
 doc/guides/cryptodevs/aesni_gcm.rst | 6 +++---
 doc/guides/cryptodevs/aesni_mb.rst  | 6 +++---
 doc/guides/cryptodevs/kasumi.rst    | 6 +++---
 doc/guides/cryptodevs/snow3g.rst    | 6 +++---
 doc/guides/cryptodevs/zuc.rst       | 6 +++---
 5 files changed, 15 insertions(+), 15 deletions(-)

Comments

Akhil Goyal May 17, 2021, 7:44 p.m. UTC | #1
> Updated AESNI MB and AESNI GCM, KASUMI, ZUC and SNOW3G PMD
> documentation
> guides with information about the latest Intel IPSec Multi-buffer
> library supported.
> 
> Signed-off-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>
> ---

Does it need to be updated in release notes as well?
Doesn't it need any patch in the code? I did not see any changes.

-Akhil
De Lara Guarch, Pablo May 20, 2021, 9:28 a.m. UTC | #2
Hi Akhil,

> -----Original Message-----
> From: Akhil Goyal <gakhil@marvell.com>
> Sent: Monday, May 17, 2021 8:44 PM
> To: De Lara Guarch, Pablo <pablo.de.lara.guarch@intel.com>
> Cc: dev@dpdk.org
> Subject: RE: [EXT] [PATCH] doc: support IPsec Multi-buffer lib v1.0
> 
> 
> > Updated AESNI MB and AESNI GCM, KASUMI, ZUC and SNOW3G PMD
> > documentation guides with information about the latest Intel IPSec
> > Multi-buffer library supported.
> >
> > Signed-off-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>
> > ---
> 
> Does it need to be updated in release notes as well?
> Doesn't it need any patch in the code? I did not see any changes.

No code changes are needed, since the API has not changed.
I haven't added any release notes, as there was not anything changed code wise.

Thanks,
Pablo

> 
> -Akhil
Akhil Goyal May 20, 2021, 9:31 a.m. UTC | #3
> Hi Akhil,
> 
> > > Updated AESNI MB and AESNI GCM, KASUMI, ZUC and SNOW3G PMD
> > > documentation guides with information about the latest Intel IPSec
> > > Multi-buffer library supported.
> > >
> > > Signed-off-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>
> > > ---
> >
> > Does it need to be updated in release notes as well?
> > Doesn't it need any patch in the code? I did not see any changes.
> 
> No code changes are needed, since the API has not changed.
> I haven't added any release notes, as there was not anything changed code
> wise.
> 
OK,
Thomas, Can you pick this patch directly on main.

Regards,
Akhil
Thomas Monjalon May 20, 2021, 9:02 p.m. UTC | #4
20/05/2021 11:31, Akhil Goyal:
> > Hi Akhil,
> > 
> > > > Updated AESNI MB and AESNI GCM, KASUMI, ZUC and SNOW3G PMD
> > > > documentation guides with information about the latest Intel IPSec
> > > > Multi-buffer library supported.
> > > >
> > > > Signed-off-by: Pablo de Lara <pablo.de.lara.guarch@intel.com>
> > > > ---
> > >
> > > Does it need to be updated in release notes as well?
> > > Doesn't it need any patch in the code? I did not see any changes.
> > 
> > No code changes are needed, since the API has not changed.
> > I haven't added any release notes, as there was not anything changed code
> > wise.
> > 
> OK,
> Thomas, Can you pick this patch directly on main.

Applied, thanks.
diff mbox series

Patch

diff --git a/doc/guides/cryptodevs/aesni_gcm.rst b/doc/guides/cryptodevs/aesni_gcm.rst
index 1f6aa6c106..19f95bde8e 100644
--- a/doc/guides/cryptodevs/aesni_gcm.rst
+++ b/doc/guides/cryptodevs/aesni_gcm.rst
@@ -40,8 +40,8 @@  Installation
 To build DPDK with the AESNI_GCM_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v0.55, which
-can be downloaded in `<https://github.com/01org/intel-ipsec-mb/archive/v0.55.zip>`_.
+The latest version of the library supported by this PMD is v1.0, which
+can be downloaded in `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
 
 .. code-block:: console
 
@@ -83,7 +83,7 @@  and the external crypto libraries supported by them:
    17.02 - 17.05  ISA-L Crypto v2.18
    17.08 - 18.02  Multi-buffer library 0.46 - 0.48
    18.05 - 19.02  Multi-buffer library 0.49 - 0.52
-   19.05+         Multi-buffer library 0.52 - 0.55
+   19.05+         Multi-buffer library 0.52 - 1.0
    =============  ================================
 
 
diff --git a/doc/guides/cryptodevs/aesni_mb.rst b/doc/guides/cryptodevs/aesni_mb.rst
index 24abf07a31..20076b829c 100644
--- a/doc/guides/cryptodevs/aesni_mb.rst
+++ b/doc/guides/cryptodevs/aesni_mb.rst
@@ -85,8 +85,8 @@  Installation
 To build DPDK with the AESNI_MB_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v0.55, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v0.55.zip>`_.
+The latest version of the library supported by this PMD is v1.0, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
 
 .. code-block:: console
 
@@ -130,7 +130,7 @@  and the Multi-Buffer library version supported by them:
    18.02           0.48
    18.05 - 19.02   0.49 - 0.52
    19.05 - 19.08   0.52
-   19.11+          0.52 - 0.55
+   19.11+          0.52 - 1.0
    ==============  ============================
 
 
diff --git a/doc/guides/cryptodevs/kasumi.rst b/doc/guides/cryptodevs/kasumi.rst
index 4790f0ff77..14ecb74241 100644
--- a/doc/guides/cryptodevs/kasumi.rst
+++ b/doc/guides/cryptodevs/kasumi.rst
@@ -36,8 +36,8 @@  Installation
 To build DPDK with the KASUMI_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v0.54, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v0.54.zip>`_.
+The latest version of the library supported by this PMD is v1.0, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -78,7 +78,7 @@  and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.11 - 19.11  LibSSO KASUMI
-   20.02+         Multi-buffer library 0.53 - 0.54
+   20.02+         Multi-buffer library 0.53 - 1.0
    =============  ================================
 
 
diff --git a/doc/guides/cryptodevs/snow3g.rst b/doc/guides/cryptodevs/snow3g.rst
index e8f9b5ff04..e318d65d4e 100644
--- a/doc/guides/cryptodevs/snow3g.rst
+++ b/doc/guides/cryptodevs/snow3g.rst
@@ -35,8 +35,8 @@  Installation
 To build DPDK with the SNOW3G_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v0.54, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v0.54.zip>`_.
+The latest version of the library supported by this PMD is v1.0, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -77,7 +77,7 @@  and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.04 - 19.11  LibSSO SNOW3G
-   20.02+         Multi-buffer library 0.53 - 0.54
+   20.02+         Multi-buffer library 0.53 - 1.0
    =============  ================================
 
 
diff --git a/doc/guides/cryptodevs/zuc.rst b/doc/guides/cryptodevs/zuc.rst
index 800d371f4b..94bf71ba90 100644
--- a/doc/guides/cryptodevs/zuc.rst
+++ b/doc/guides/cryptodevs/zuc.rst
@@ -35,8 +35,8 @@  Installation
 To build DPDK with the ZUC_PMD the user is required to download the multi-buffer
 library from `here <https://github.com/01org/intel-ipsec-mb>`_
 and compile it on their user system before building DPDK.
-The latest version of the library supported by this PMD is v0.54, which
-can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v0.54.zip>`_.
+The latest version of the library supported by this PMD is v1.0, which
+can be downloaded from `<https://github.com/01org/intel-ipsec-mb/archive/v1.0.zip>`_.
 
 After downloading the library, the user needs to unpack and compile it
 on their system before building DPDK:
@@ -77,7 +77,7 @@  and the external crypto libraries supported by them:
    DPDK version   Crypto library version
    =============  ================================
    16.11 - 19.11  LibSSO ZUC
-   20.02+         Multi-buffer library 0.53 - 0.54
+   20.02+         Multi-buffer library 0.53 - 1.0
    =============  ================================